| Elektra 0.11.0

Public Member Functions | List of all members
kdb::tools::Plugins Class Reference

A collection of plugins (either get, set or error) More...

`#include <plugins.hpp>`

Inheritance diagram for kdb::tools::Plugins:

## Public Member Functions
void | addInfo (Plugin &plugin)
| Add needed, provided and recommend information.
bool | validateProvided () const
| Validate needed, and provided information.
bool | checkPlacement (Plugin &plugin, std::string which)
| check if this plugin has at least one placement
void | checkOrdering (Plugin &plugin)
| Check ordering of plugins.
void | checkConflicts (Plugin &plugin)
| Check conflicts of plugins.

## Detailed Description

A collection of plugins (either get, set or error)

## Member Function Documentation

## ◆ checkPlacement()

bool kdb::tools::Plugins::checkPlacement | ( | Plugin & | plugin,
|  | std::string | which
| ) |  |

check if this plugin has at least one placement

Parameters

  plugin | the plugin to check
  which | placementInfo it is

Return values

  true | if it should be added
  false | no placements (will not be added)

## ◆ validateProvided()

bool kdb::tools::Plugins::validateProvided | ( |  | ) | const

Validate needed, and provided information.

(Recommended ignored,

See also
  getRecommendedMissing(),
  getNeededMissing()

The documentation for this class was generated from the following files:

- plugins.hpp
- plugins.cpp